Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0004138 [JEDI VCL] 00 JVCL Components minor always 2007-05-25 04:49 2007-12-16 13:58
Reporter rodries View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version
Summary 0004138: Reduce flicker on resize in JvExDBGrids.pas
Description reduce flicker on resize in JvExDBGrids.pas

Info from ThemedDBGrid (Jeremy North's)

protected
procedure WMEraseBkgnd(var Msg: TWMEraseBkgnd); message WM_ERASEBKGND;



procedure TJvExDBGrid.WMEraseBkgnd(var Message: TWMEraseBkgnd);
begin
  Message.Result := 1; // the grid paints its whole content in the Paint method
end;



Also you can create themed JvExDBGrids adding functions from ThemedDBGrid.pas on
http://andy.jgknet.de/blog/archives/45-Theming-all-TDBGrid-at-runtime.html [^]

Regards
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0013485)
obones (administrator)
2007-06-20 02:24

I'm sorry, I don't understand what you are asking for here. Can you elaborate?
(0013510)
rodries (reporter)
2007-06-22 02:56

Reduces WM_ERASEBKGND related flicker
You can get more information here
http://andy.jgknet.de/blog/archives/45-Theming-all-TDBGrid-at-runtime.html [^]

If you add the above code in TJvExDBGrid class when you resize on runtime a dbgrid with data you don't get flicker.

Sorry my english, I'm spanish.
(0014072)
AHUser (developer)
2007-12-16 13:58

Already fixed in SVN for TJvDBGrid and TJvDBUltimGrid

- Issue History
Date Modified Username Field Change
2007-05-25 04:49 rodries New Issue
2007-06-20 02:24 obones Note Added: 0013485
2007-06-20 02:24 obones Status new => feedback
2007-06-22 02:56 rodries Note Added: 0013510
2007-12-16 13:58 AHUser Status feedback => resolved
2007-12-16 13:58 AHUser Fixed in Version => Daily / SVN
2007-12-16 13:58 AHUser Resolution open => fixed
2007-12-16 13:58 AHUser Assigned To => AHUser
2007-12-16 13:58 AHUser Note Added: 0014072


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker